Skip to main content
GET
/
organization
/
{organizationId}
/
blueprint
/
catalog
Get the blueprint service catalog
curl --request GET \
  --url https://api.qovery.com/organization/{organizationId}/blueprint/catalog \
  --header 'Authorization: Bearer <token>'
{
  "version": "1",
  "generatedAt": "2023-11-07T05:31:56Z",
  "blueprints": [
    {
      "name": "aws-rds-postgresql",
      "kind": "ServiceBlueprint",
      "description": "<string>",
      "icon": "https://cdn.qovery.com/icons/postgresql.svg",
      "categories": [
        "<string>"
      ],
      "provider": "aws",
      "serviceFamily": "postgres",
      "majorVersions": [
        {
          "serviceVersion": "17",
          "latestTag": "aws/postgres/17/1.0.1"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

Response

Blueprint catalog

version
string
required
Example:

"1"

generatedAt
string<date-time>
required
blueprints
object[]
required